from django.urls import path
from . import views

urlpatterns = [
    path('', views.dashboard, name='dashboard'),
    
    # AJAX Helpers
    path('ajax/get-kelas/', views.get_kelas_by_prodi, name='get_kelas_by_prodi'),
    path('ajax/get-matkul/', views.get_matkul_by_prodi, name='get_matkul_by_prodi'),
    
    path('prodi/', views.prodi_list, name='prodi_list'),
    path('prodi/delete/<int:pk>/', views.prodi_delete, name='prodi_delete'),
    
    path('dosen/', views.dosen_list, name='dosen_list'),
    path('dosen/delete/<int:pk>/', views.dosen_delete, name='dosen_delete'),
    path('dosen/template/', views.dosen_template, name='dosen_template'),
    path('dosen/import/', views.dosen_import, name='dosen_import'),
    
    path('matkul/', views.matkul_list, name='matkul_list'),
    path('matkul/delete/<int:pk>/', views.matkul_delete, name='matkul_delete'),
    path('matkul/template/', views.matkul_template, name='matkul_template'),
    path('matkul/import/', views.matkul_import, name='matkul_import'),
    
    path('ruangan/', views.ruangan_list, name='ruangan_list'),
    path('ruangan/delete/<int:pk>/', views.ruangan_delete, name='ruangan_delete'),
    path('ruangan/template/', views.ruangan_template, name='ruangan_template'),
    path('ruangan/import/', views.ruangan_import, name='ruangan_import'),
    
    path('kelas/', views.kelas_list, name='kelas_list'),
    path('kelas/delete/<int:pk>/', views.kelas_delete, name='kelas_delete'),
    path('kelas/template/', views.kelas_template, name='kelas_template'),
    path('kelas/import/', views.kelas_import, name='kelas_import'),
    
    path('jam/', views.jam_list, name='jam_list'),
    path('jam/delete/<int:pk>/', views.jam_delete, name='jam_delete'),
    path('jam/generate/', views.jam_generate, name='jam_generate'),
    
    path('tahun/', views.tahun_list, name='tahun_list'),
    path('tahun/delete/<int:pk>/', views.tahun_delete, name='tahun_delete'),
    
    path('hari/', views.hari_list, name='hari_list'),
    path('hari/delete/<int:pk>/', views.hari_delete, name='hari_delete'),
    
    path('pengampu/', views.pengampu_list, name='pengampu_list'),
    path('pengampu/delete/<int:pk>/', views.pengampu_delete, name='pengampu_delete'),
    
    path('daftar-hadir/', views.daftar_hadir_list, name='daftar_hadir_list'),
    path('daftar-hadir/delete/<int:pk>/', views.daftar_hadir_delete, name='daftar_hadir_delete'),
    
    path('jadwal/', views.jadwal_list, name='jadwal_list'),
    path('jadwal/buat/', views.buat_jadwal, name='buat_jadwal'),
    path('jadwal/delete/<int:pk>/', views.jadwal_delete, name='jadwal_delete'),
    path('jadwal/export/', views.jadwal_export_excel, name='jadwal_export_excel'),
]